Package org.jbpm.casemgmt.api.event

## Class CaseDynamicTaskEvent

- java.lang.Object
- - org.jbpm.casemgmt.api.event.CaseEvent
  - - org.jbpm.casemgmt.api.event.CaseDynamicTaskEvent

-     public class CaseDynamicTaskEvent
      extends CaseEvent

  Represents occurrence of dynamic task add to case operation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseDynamicTaskEvent​(String user, String caseId, CaseFileInstance caseFile, String nodeType, Map<String,​Object> data, long processInstanceId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​Object>` | `getData()` | Returns dynamic task input data
    `String` | `getNodeType()` | Returns type of the node of the dynamic task
    `long` | `getProcessInstanceId()` | Returns process instance id of process where dynamic task was added
    `String` | `toString()` |

    - ### Methods inherited from class org.jbpm.casemgmt.api.event.CaseEvent

      `getCaseFile, getCaseId, getUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseDynamicTaskEvent

          public CaseDynamicTaskEvent​(String user,
                                      String caseId,
                                      CaseFileInstance caseFile,
                                      String nodeType,
                                      Map<String,​Object> data,
                                      long processInstanceId)

  - ### Method Detail

    - #### getData

          public Map<String,​Object> getData()

      Returns dynamic task input data

    - #### getNodeType

          public String getNodeType()

      Returns type of the node of the dynamic task

    - #### getProcessInstanceId

          public long getProcessInstanceId()

      Returns process instance id of process where dynamic task was added

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`